#ifndef _FILES_H
#define _FILES_H
#include <cstring.h>

struct PartsName {
	string title;
	string partsfile;
	string catalogfile;
};

extern string tempdir;

extern string pathdir;
extern string partsdir;
extern string simplepartsdir;
extern string mechadir;
extern string motiondir;
extern string atrfile;
extern string bgdir;
extern string atrdir;

extern string fxgdir;
extern string fxg_agcdir;
extern string fxg_afmdir;
extern string fxg_colfile;
extern string fxg_atrfile;
extern string fxg_bgdir;
extern string fxg_atrdir;


extern PartsName *partsname;
extern int partscount;

extern string colorchangeatr;
extern string rendoption;
extern string rendcolor;
extern string rendlight;

extern int wireview_x, wireview_y, wireview_w, wireview_h;

enum PreviewMode {PREVIEW_FXGA = 1, PREVIEW_REND = 2, PREVIEW_BOTH = 3};
extern PreviewMode fxgaflag;

//extern string bgdir;
//extern string bgfile;


extern void FileInit(void);
extern void FileWriteRendOption(void);
extern void FileWriteWireview(void);
#endif
